/*****************************************************************************
 ** 
 ** main.cpp
 ** 
 ** Copyright 2000  by Red Hat GmbH
 **
 ** Author:   Thomas Woerner (thomas.woerner@redhat.de)
 ** 
 *****************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#include <klocale.h>
#include <kcmdlineargs.h>
#include <kwin.h>
#include <kaboutdata.h>
#include <kuniqueapp.h>
#include <kmessagebox.h>

#include "kisdndock.h"


int main(int argc, char** argv) {
    KCmdLineArgs::init(argc, argv, KISDNdock::aboutData());
    KUniqueApplication::addCmdLineOptions();

    if (!KUniqueApplication::start()) {
        fprintf(stderr, "%s is already running!\n", argv[0]);
	exit(0);
    }
    KUniqueApplication app;

    KISDNdock *dock = new KISDNdock();

    KWin::setSystemTrayWindowFor(dock->winId(), 0);
    //    dock->setGeometry(-100, -100, 42, 42);
    dock->show();

    return app.exec();
}
